<?php
/* $Id: holidays.fr.inc.php,v 1.4 2003/12/08 16:57:41 leyeti Exp $ */

if (date("dm", $date) == "0101") $holiday = Lang::getLanguageString("newyear");
elseif (date("dm", $date) == "1407") $holiday = Lang::getLanguageString("fetenationale");	
elseif (date("dm", $date) == "0105") $holiday = Lang::getLanguageString("fetedutravail");
elseif (date("dm", $date) == "0805") $holiday = Lang::getLanguageString("huitmai");
elseif (date("dm", $date) == "1508") $holiday = Lang::getLanguageString("assomption");
elseif (date("dm", $date) == "0111") $holiday = Lang::getLanguageString("toussaint");
elseif (date("dm", $date) == "1111") $holiday = Lang::getLanguageString("onzenovembre");	            
elseif (date("dm", $date) == "2512") $holiday = Lang::getLanguageString("firstchristmas");
elseif (date("dm", $date) == "3112") $holiday = Lang::getLanguageString("saintsilvestre");      
else {
    $ot = date("d", $easter);
    $om = date("m", $easter);
    $ja = date("Y", $easter);
	
    // Assention
    $ot=$ot+39;               
    if ($ot > 30) {
	$ot = $ot - 30;
	$om = 5;
    }
    $ascencion = mktime(0,0,0, $om, $ot, $ja);

    // Pentecote
    $ot=$ot+10;               
    if ($ot > 31) {
	$ot = $ot - 31;
	$om = 6;
    }
    $pentecote = mktime(0,0,0, $om, $ot, $ja);

    if (date("dmY", $date) == date("dmY", $easter-3600*24*2 )) 	$holiday = Lang::getLanguageString("easterfriday");
    elseif (date("dmY", $date) == date("dmY", $easter)) 	        $holiday = Lang::getLanguageString("eastersunday");
    elseif (date("dmY", $date) == date("dmY", $easter+3600*24   )) $holiday = Lang::getLanguageString("eastermonday"); 
    elseif (date("dmY", $date) == date("dmY", $ascencion)) 	$holiday = Lang::getLanguageString("ascension"); 
    elseif (date("dmY", $date) == date("dmY", $pentecote)) 	$holiday = Lang::getLanguageString("pentecote"); 
    else $holiday = "";
}	
?>